<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#materialInventoryTable').bootstrapTable({
		 
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,   
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 10,  
               //可供选择的每页的行数（*）    
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/sg/managementcenter/materialInventory/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该请假表单记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/sg/managementcenter/materialInventory/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#materialInventoryTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})

                   	});

                   }
               },
              
               onClickRow: function(row, $el){
               },
                onLoadSuccess:function(data){
                    jQuery(function(){
                        //使用id选择器;例如:tab对象->tr->td对象.
                        $("#materialInventoryTable tr td").each(function(i){
                            //获取td当前对象的文本,如果长度大于25;
                            if($(this).text().length>20){
                                //给td设置title属性,并且设置td的完整值.给title属性.
                                $(this).attr("title",$(this).text());
                                //获取td的值,进行截取。赋值给text变量保存.
                                var text=$(this).text().substring(0,20)+"...";
                                //重新为td赋值;
                                $(this).text(text);
                            }
                        });
                    });
                },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [
                   {
                       checkbox: true

                   },
                   {
                       field: 'materialCode',
                       width:130,
                       title: '物料编码'
                       ,formatter:function(value, row , index){

                           if(value == null || value ==""){
                               value = "-";
                           }
                       <c:choose>
                           <c:when test="${fns:hasPermission('managementcenter:materialInventory:edit')}">
                           return "<a href='javascript:edit(\""+row.id+"\")'>"+value+"</a>";
                       </c:when>
                           <c:when test="${fns:hasPermission('managementcenter:materialInventory:view')}">
                           return "<a href='javascript:view(\""+row.id+"\")'>"+value+"</a>";
                       </c:when>
                           <c:otherwise>
                           return value;
                       </c:otherwise>
                           </c:choose>

                       }
                   }
                   ,{
                       field: 'materialDetail',
                       width:220,
                       title: '物料描述'
                   }
                   ,{
                       field: 'stockQuantity',
                       width:120,
                       title: '非限制库存数量'
                   }
                   ,{
                       field: 'frozenQuantity',
                       width:120,
                       title: '已冻结库存数量'
                   }
                   ,{
                       field: 'requireCount',
                       width:120,
                       title: '需求数量'
                   }
                   ,{
                       field: 'outCount',
                       width:120,
                       title: '已出库数量'
                   }
                   ,{
                       field: 'availableStockQuantity',
                       width:130,
                       title: '可用库存数量'
                   }
		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#materialInventoryTable').bootstrapTable("toggleView");
		}
	  
	  $('#materialInventoryTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#materialInventoryTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#materialInventoryTable').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['确定', '关闭'],
			    btn1: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/materialInventory/importInventory', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
						});//调用保存事件
						return false;
				  },

				  btn2: function(index){
					//  jp.close(index);
	    	       }
			}); 
		});
    $("#btnImport1").click(function(){
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入数据",
            content: "${ctx}/tag/importExcel" ,
            btn: ['确定', '关闭'],
            btn1: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/materialInventory/importRequisition', function (data) {
                    if(data.success){
                        jp.success(data.msg);
                        refresh();
                    }else{
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function(index){
                //  jp.close(index);
            }
        });
    });
		
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/sg/managementcenter/materialInventory/export');
	  });

		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#materialInventoryTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#materialInventoryTable').bootstrapTable('refresh');
		});
		
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#materialInventoryTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除库存物料管理表单记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/sg/managementcenter/materialInventory/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#materialInventoryTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }

    //刷新列表
  function refresh(){
  	$('#materialInventoryTable').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增库存物料管理表单', "${ctx}/sg/managementcenter/materialInventory/form",'800px', '500px');
  }


  //
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑库存物料管理表单', "${ctx}/sg/managementcenter/materialInventory/form?id=" + id, '800px', '500px');
  }
  
 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
          id = getIdSelections();
      }
      jp.openViewDialog('查看库存物料管理表单', "${ctx}/sg/managementcenter/materialInventory/form?id=" + id, '800px', '500px');
 }



</script>